# Python Octavia Client

The Python Octavia Client (python-octaviaclient) is a command-line client for the OpenStack Load Balancing service.

Note

This project is only intended to be used for the OpenStack Client CLI. The openstacksdk should be used for python bindings.

## Getting Started

- Project Overview
  - Team and repository tags
  - python-octaviaclient
  - Getting Started
- Installation
- Contributing

## Usage

- Using Octavia CLI extensions to OpenStack Client
  - loadbalancer
  - listener
  - pool
  - member
  - healthmonitor
  - l7policy
  - l7rule
  - quota
  - amphora
  - provider
  - flavor
  - flavorprofile
  - availabilityzone
  - availabilityzoneprofile
- Python Octavia Client Reference
  - Mapping Guide - LBaaS v2 CLI

## Indices and tables

- Index

- Search Page

this page last updated: 2026-03-26 21:36:36

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug